Bug 41592 - Anything trying to use DRI in 4.0.99.900-0.2.1 segfaults (ATI Rage 128 Mobility 4)
Summary: Anything trying to use DRI in 4.0.99.900-0.2.1 segfaults (ATI Rage 128 Mobili...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: XFree86   
(Show other bugs)
Version: 1.0
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-05-21 14:59 UTC by Bernhard Rosenkraenzer
Modified: 2005-10-31 22:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-06 13:38:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bernhard Rosenkraenzer 2001-05-21 14:59:49 UTC
Description of Problem:
Summary says it all...

How Reproducible:
100%


Steps to Reproduce:
1. Install XFree86*4.0.99.900-0.2.1*
2. Run glxinfo or anything else using DRI

Actual Results:
Segmentation fault

Expected Results:
running program

Additional Information:
I'm using an ATI Rage 128 Mobility 4 chip, Kernel 2.4.4-6.0.1

The backtrace ends in driMesaBindContext() from 
/usr/X11R6/lib/modules/dri/r128_dri.so

Comment 1 Mike A. Harris 2001-05-22 01:17:26 UTC
You need a kernel with new DRI modules to match the new DRM version in
XFree86 4.0.99.900.  Currently our kernel does not have these modules.

I know that you know that, but others querying the bug reports probably
wont. ;o)  I'm leaving this here so that people can find it and don't
report it 50 times.  ;o)

Solutions for people wanting to use DRI:
1) Wait until we have a kernel in rawhide with DRI updated.  That will be
   after I (or someone else) pull the DRM code out of X and send to Arjan.
   (I'll update this report then)

or

2) Take the DRM code from XFree86, and send Arjan a patch.  ;o)


Now I must go, my work here is done.  ;o)

Comment 2 Mike A. Harris 2001-06-04 07:22:19 UTC
Update:  Mesa is now working with XFree86 4.1.0 (woohoo!)
DRI patch has been sent to Arjan, and should appear in the kernel shortly if
it isn't already there.

Comment 3 Mike A. Harris 2001-11-06 13:38:51 UTC
I believe this issue has been resolved now for quite some time.
Bero, can you test and confirm that DRI now works on this card
in Enigma?

Also, keep in mind if it is a 16Mb card to use 1024x768x16, and
if it is an 8Mb card to use 640x480x16.

Comment 4 Bernhard Rosenkraenzer 2001-11-12 13:07:39 UTC
Sure, has been fixed forever.



Note You need to log in before you can comment on or make changes to this bug.